<h4>Assets</h4>
<div class="row">
  <div class="outer-container">
    <span *ngIf="showAssetsList">
      <div class="row BBP10">
        <div class="col-md-4 vehicle-detail">
          <span class="label">ID</span>
        </div>
        <div class="col-md-2 vehicle-detail">
          <span class="label">Type</span>
        </div>
        <div class="col-md-3 vehicle-detail">
          <span class="label">Name</span>
        </div>
        <div class="col-md-2 vehicle-detail">
          <span class="label">Status</span>
        </div>
        <div class="col-md-1 vehicle-detail"></div>
      </div>
      <span *ngIf="rfIdDetails.length > 0">
        <div class="row BBP10" *ngFor="let data of rfIdDetails">
          <div class="col-md-4 vehicle-detail">
            <span class="value">{{data.RFIDId}}</span>
          </div>
          <div class="col-md-2 vehicle-detail">
            <img src="../../../assets/asset-icons/rfid-chip.png">
          </div>
          <div class="col-md-3 vehicle-detail">
            <span class="value">Vehicle Tag</span>
          </div>
          <div class="col-md-2 vehicle-detail">
            <span class="value">Found</span>
          </div>
          <div class="col-md-1 vehicle-detail">
            <img class="icon" src="../../../assets/asset-icons/rfId-green.png">
          </div>
        </div>
      </span>
      <span *ngIf="beaconsAssociatedGroupsDetails.length > 0">
          <div class="row assetBorder" [ngClass]="{'highLight':data.found === false}" *ngFor="let data of beaconsAssociatedGroupsDetails">
            <div class="col-md-4 vehicle-detail">
              <span class="value">{{data.beaconId}}</span>
            </div>
            <div class="col-md-2 vehicle-detail">
              <img [src]="data.icon">
            </div>
            <div class="col-md-3 vehicle-detail">
              <span class="value">{{data.groupDetail.label}}</span>
            </div>
            <div class="col-md-2 vehicle-detail" *ngIf="data.found === true">
              <span class="value">Found</span>
            </div>
            <div class="col-md-2 vehicle-detail" *ngIf="data.found === false">
              <span class="value">Not found</span>
            </div>
            <div class="col-md-1 vehicle-detail" *ngIf="data.found === true">
              <img class="icon" src="../../../assets/asset-icons/beacon-green.png">
            </div>
            <div class="col-md-1 vehicle-detail" *ngIf="data.found === false">
              <img class="icon" src="../../../assets/exclamation-red.png">
            </div>
         </div>
      </span>

      <div class="row BBP10" *ngIf="beaconsAssociatedGroupsDetails.length === 0 || rfIdDetails.length === 0">
        <div class="col-md-12 vehicle-detail">
          <span class="label highLight">No Equipments Data Available</span>
       </div>
      </div>

    </span>
  </div>
</div>
